Package opennlp.tools.lemmatizer

# Class LemmaSampleSequenceStream

java.lang.Object
opennlp.tools.lemmatizer.LemmaSampleSequenceStream

All Implemented Interfaces:
  `AutoCloseable`, `opennlp.tools.ml.model.SequenceStream<opennlp.tools.lemmatizer.LemmaSample>`, `opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Sequence<opennlp.tools.lemmatizer.LemmaSample>>`

public class LemmaSampleSequenceStream extends Object implements opennlp.tools.ml.model.SequenceStream<opennlp.tools.lemmatizer.LemmaSample>
A `SequenceStream` implementation encapsulating `samples`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LemmaSampleSequenceStream(opennlp.tools.util.ObjectStream<opennlp.tools.lemmatizer.LemmaSample> samples, opennlp.tools.lemmatizer.LemmatizerContextGenerator contextGenerator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `opennlp.tools.ml.model.Sequence<opennlp.tools.lemmatizer.LemmaSample>`
  `read()`
  `void`
  `reset()`
  `opennlp.tools.ml.model.Event[]`
  `updateContext(opennlp.tools.ml.model.Sequence<opennlp.tools.lemmatizer.LemmaSample> sequence, opennlp.tools.ml.model.MaxentModel model)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LemmaSampleSequenceStream

    public LemmaSampleSequenceStream(opennlp.tools.util.ObjectStream<opennlp.tools.lemmatizer.LemmaSample> samples, opennlp.tools.lemmatizer.LemmatizerContextGenerator contextGenerator)

- ## Method Details

  - ### read

    public opennlp.tools.ml.model.Sequence<opennlp.tools.lemmatizer.LemmaSample> read() throws IOException
    Specified by:
      `read` in interface `opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Sequence<opennlp.tools.lemmatizer.LemmaSample>>`
    Throws:
      `IOException`

  - ### updateContext

    public opennlp.tools.ml.model.Event[] updateContext(opennlp.tools.ml.model.Sequence<opennlp.tools.lemmatizer.LemmaSample> sequence, opennlp.tools.ml.model.MaxentModel model)
    Specified by:
      `updateContext` in interface `opennlp.tools.ml.model.SequenceStream<opennlp.tools.lemmatizer.LemmaSample>`

  - ### reset

    public void reset() throws IOException, UnsupportedOperationException
    Specified by:
      `reset` in interface `opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Sequence<opennlp.tools.lemmatizer.LemmaSample>>`
    Throws:
      `IOException`
      `UnsupportedOperationException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Sequence<opennlp.tools.lemmatizer.LemmaSample>>`
    Throws:
      `IOException`